function 复活小退()
输出信息("挂机好脚本，小退再进图，无限刷呀刷")
end


function 装备回收()
发言("@功能1")   
等待(3000)
aa=NPC对话内容
api=匹配内容(aa,[[(@@InPutString\d{1,2})]])
pass={}
k1=string.find(aa,api,1,true)
pass1=string.sub(aa,k1+18,k1+80)
--输出信息(pass1)
for i=1,4 do
  k2=匹配内容(pass1,[[([\u4E00-\u9FA5]{1,3})]])
  if k2~=nil then
  --输出信息(k2)
  pass1=string.gsub(pass1,k2,"",1)
  合成命令(api,k2)
  end
end
等待(1000)
选择("@H套装04")
选择("@H套装05")
选择("@H套装02")
选择("@H套装03")
选择("@H套装06")
选择("@H套装07")
选择("@H套装08")
选择("@H套装09")
选择("@H套装10")
选择("@H套装11")
end



function 出发()
if 当前地图编号=="3" then
开启穿人穿怪()
走到(336,330,1)
对话NPC("传送员")
等待(1000)
选择("@xinzzy")
等待(1000)
end
end


系统显示("开开心心去挂机了",255,16777215)
输出信息("挂机脚本执行到开头")
if 当前地图编号=="3" then
停止战斗()
使用物品("盟重传送石")
等待(3000)
end
复活小退()
装备回收()
出发()
开始战斗()
输出信息("挂机脚本执行到尾部")
 